Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFiller

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFiller

    public final class JRFiller

extends java.lang.Object

Version:
  $Id: JRFiller.java 3713 2010-04-08 11:06:05Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`static JRBaseFiller` | `createFiller(JasperReport jasperReport)`
`static JasperPrint` | `fillReport(JasperReport jasperReport, java.util.Map parameters)` Fills a report.
`static JasperPrint` | `fillReport(JasperReport jasperReport, java.util.Map parameters, java.sql.Connection conn)`
`static JasperPrint` | `fillReport(JasperReport jasperReport, java.util.Map parameters, JRDataSource dataSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fillReport

    public static JasperPrint fillReport(JasperReport jasperReport,
                                         java.util.Map parameters,
                                         java.sql.Connection conn)
                                  throws JRException

  Throws:
    `JRException`

### fillReport

    public static JasperPrint fillReport(JasperReport jasperReport,
                                         java.util.Map parameters,
                                         JRDataSource dataSource)
                                  throws JRException

  Throws:
    `JRException`

### fillReport

    public static JasperPrint fillReport(JasperReport jasperReport,
                                         java.util.Map parameters)
                                  throws JRException

  Fills a report.

  The data source used to fill the report is determined in the following way:
  - If a non-null value of the `REPORT_DATA_SOURCE` has been specified, it will be used as data source.
  - Otherwise, if the report has a query then a data source will be created based on the query and connection parameter values.
  - Otherwise, the report will be filled without a data source.

  Parameters:
    `jasperReport` - the report
    `parameters` - the fill parameters
  Returns:
    the filled report
  Throws:
    `JRException`

### createFiller

    public static JRBaseFiller createFiller(JasperReport jasperReport)
                                     throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com